edu.csus.ecs.pc2.api.exceptions

## Class LoginFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - edu.csus.ecs.pc2.api.exceptions.LoginFailureException

- All Implemented Interfaces:
    Serializable

      public class LoginFailureException
      extends Exception

  This class defines the Exception which is thrown when a failure occurs during a client's attempt to connect to a PC2 server through the PC2 API.

  There are many conditions which can cause connection/login failure, including but not limited to

  - lack of proper configuration information identifying the network connection to be used in contacting the server;
  - inability of the underlying PC2 transport mechanism to accomplish the network connection;
  - incorrect authentication (login name/password) credentials.

  Information regarding the specific type of failure is accessible using the standard `getMessage()` method associated with the Exception.

  This documentation describes the current draft of the PC2 API, which is subject to change.

  Version:
    $Id: LoginFailureException.java 1266 2008-02-07 08:51:39Z clevengr $
  Author:
    pc2@ecs.csus.edu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginFailureException(String message)`
    `LoginFailureException(String message, Throwable cause)`
    `LoginFailureException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginFailureException

          public LoginFailureException(String message,
                               Throwable cause)

    - #### LoginFailureException

          public LoginFailureException(Throwable cause)

    - #### LoginFailureException

          public LoginFailureException(String message)